
Foreman - Bug #2061

HTTPS URL for oVirt shouldn't be mandatory

12/19/2012 09:27 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Compute resources   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

re #1899, the URL for oVirt can be HTTP without HTTPS available, e.g. in development environments.

Related issues:

Related to Foreman - Bug #1899: Can't create new ovirt VM due to http 302 error Closed 10/16/2012

Associated revisions

Revision 85ed3c3f - 12/24/2012 03:51 AM - Dominic Cleal

fixes #2061 - test if oVirt API has HTTPS redirect

rest_client will refuse to follow redirects on POST requests, so the URL must

be entered as HTTPS.  Don't require HTTPS as dev environments may be HTTP-only.

History

#1 - 12/19/2012 09:56 AM - Dominic Cleal

https://github.com/theforeman/foreman/pull/323

#2 - 12/24/2012 05:18 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 85ed3c3f9b428674011518cdb621875c94b03d88.
